From ecee1d8099447b2639d9c38acc344428877d4799 Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Sat, 16 Feb 2019 14:44:44 +0200
Subject: [PATCH] build: Support controlling gnome-online-accounts dependency

---
 meson.build       | 4 ++--
 meson_options.txt | 1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/meson.build b/meson.build
index 83a83a0..e79e84f 100644
--- a/meson.build
+++ b/meson.build
@@ -13,7 +13,7 @@ project('grilo-plugins', 'c',
             'warning_level=1'
         ],
         license: 'LGPL 2.1',
-        meson_version: '>= 0.37.0')
+        meson_version: '>= 0.47.0')
 
 plugin_version = meson.project_version()
 version_array = plugin_version.split('.')
@@ -51,7 +51,7 @@ avahi_glib_dep = dependency('avahi-glib', required: false)
 avahi_gobject_dep = dependency('avahi-gobject', required: false)
 gio_dep = dependency('gio-2.0', required: false)
 gio_unix_dep = dependency('gio-unix-2.0', required: false)
-goa_dep = dependency('goa-1.0', version: '>= 3.17.91', required: false)
+goa_dep = dependency('goa-1.0', version: '>= 3.17.91', required: get_option('goa'))
 gom_dep = dependency('gom-1.0', version: '>= 0.3.2', required: false)
 grilo_net_dep = dependency('grilo-net-0.3', version: '>= 0.3.0', required: false)
 grilo_pls_dep = dependency('grilo-pls-0.3', version: '>= 0.3.0', required: false)
diff --git a/meson_options.txt b/meson_options.txt
index 7d96a74..32b51d2 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -21,3 +21,4 @@ option('enable-tmdb', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'a
 option('enable-tracker', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Tracker plugin')
 option('enable-vimeo', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Vimeo plugin')
 option('enable-youtube', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable YouTube plugin')
+option('goa', type: 'feature', value: 'auto', description: 'Enable gnome-online-accounts usage')
-- 
2.17.0

